commit: 48e92aacc97f9e45893e8dca34fc93dea62259b2
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 7 04:25:44 2025 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Jun 7 04:25:44 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=48e92aac
dev-python/pocketlint: add misisng polib dep
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-python/pocketlint/pocketlint-0.25-r1.ebuild | 33 +++++++++++++++++++++++++
1 file changed, 33 insertions(+)
diff --git a/dev-python/pocketlint/pocketlint-0.25-r1.ebuild
b/dev-python/pocketlint/pocketlint-0.25-r1.ebuild
new file mode 100644
index 000000000000..efc5ed7d6d67
--- /dev/null
+++ b/dev-python/pocketlint/pocketlint-0.25-r1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit distutils-r1
+
+DESCRIPTION="Shared code for running pylint against rhinstaller projects"
+HOMEPAGE="
+ https://github.com/rhinstaller/pocketlint/
+ https://pypi.org/project/pocketlint/
+"
+SRC_URI="
+ https://github.com/rhinstaller/${PN}/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc
~x86"
+
+RDEPEND="
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/polib[${PYTHON_USEDEP}]
+ dev-python/pylint[${PYTHON_USEDEP}]
+"
+
+python_test() {
+ "${EPYTHON}" tests/pylint/runpylint.py || die "test failed with
${EPYTHON}"
+}